Kerbal Space Program - Bug #13744

Abrupt Terrain Steps around Space Center, Tire Hazard and Visually Unappealing
02/03/2017 11:20 PM - JPLRepo

Status: Confirmed Start date: 10/01/2016
Severity: Low % Done: 10%
Assignee:
Category:
Target version:
Version: 1.2.2 Language: English (US)
Platform: Linux Mod Related: No

Expansion:

Description

First became a noticeable problem at 0 degrees 2' 59" N by 74 degrees 45' 55" W while playing version 1.2.0.1548. It appears the
terrain is rendered in large square blocks. They are not aligned quite right resulting it steps in terrain which creates tire hazards
(1548c) and visually unappealing. When first noticed step was in opposite direction and about twice as high (no picture).

Went to same location playing KSP 1.1.3. Step does not exist ( 1.1.3a and 1.1.3b), nor do | see any lines in terrain differentiating
between terrain blocks. | have seen terrain lines in the past at both North and South poles but no steps in terrain. In this version | do
have mods installed but nothing that should effect terrain or textures. | found these terrain steps in 1.2.0.1479, the first prerelease |
downloaded.

| then installed version 1.2.0.1553 with saved game from 1.2.0.1548. The terrain step remained (1553c). Restarted game terrain
step still there but different (1533d). Every time | restart terrain step is there but often, not always, changes both vertically and
horizontally. On all three versions of KSP | kept my graphics setting consistent (Graphics Settings1.2.01548).

Granted the Tanker | am testing is heavy, 4.743 tons per tire, but tires are damaged at snails pace of 0.1m/s when step is relatively
small.

In persistent.sfs goto flag "Terrain Step"

System:

KSP 1.2-01553

Ubuntu 16.04 LTS

IntelA® Coreall¢ i7-4790K CPU @ 4.00GHz All 8
GeForce GTX 970/PCle/SSE2

OS type 64-bit

Memory 15.6 GiB

History

#2 - 02/03/2017 11:21 PM - JPLRepo

Copied from PreRelease as this is still a known issue.

#3 - 02/04/2017 02:24 AM - swjr-swis
- Status changed from New to Confirmed
- % Done changed from 0 to 10

KSP 1.2.2.1622 x64 on Win x64.

See also #13190, reported 3 months ago on 1.2.1 and still awaiting any response. Report included exact coordinates, screenshots and a savefile with
a craft on the location. (the last comment added is unrelated to the problem in the report, ignore).

See also #13213 and #13252 by others, although neither of those include savefiles.

#4 - 02/05/2017 07:32 PM - swjr-swis
- File rover-KSCseams0.sfs added

- File rover-KSCseams1.sfs added
https://bugs.kerbalspaceprogram.com/issues/13190
https://bugs.kerbalspaceprogram.com/issues/13213
https://bugs.kerbalspaceprogram.com/issues/13252

- File rover-KSCseams2.sfs added

- File rover-KSCseams3.sfs added

- File rover-KSCseams1.png added

- File rover-KSCseams2.png added

- File rover-KSCseams3.png added

- File seam-spotting-pattern1.png added
- File seam-spotting-pattern2.png added

KSP 1.2.2.1622 x64 on Win x64.
Attaching some screenshots and save files with a rover parked next to seams in the immediate vicinity of the KSC.
Also, as a guide of how to spot these seams from afar on mostly flat terrain: watch for light intermittent straight lines on the ground close towards the

horizon. They are easier to spot when orientated 5-10 degrees away from one of the cardinal directions (NESW) and while moving slowly, because
the intermittent pattern of the lines will start moving.

#5 - 02/05/2017 07:58 PM - swjr-swis

- File rover-seamonthebeach.sfs added

- File rover-seams-underwater.sfs added

- File rover-seamsonthebeach.png added

- File rover-seams-underwater.png added

KSP 1.2.2.1622 x64 on Win x64.

Attaching two more save files + screenshots, showing seams on sloping terrain (edge of the beach) and on the sea bed. So it's not just on flat terrain.
#6 - 02/05/2017 09:43 PM - swjr-swis

- File rover-seamsonthehills2.sfs added

- File rover-seamsonthehills2.png added

KSP 1.2.2.1622 x64 on Win x64.

Save file + screenshot of seams in the hills west of KSC.
#7 - 02/05/2017 10:01 PM - swjr-swis

- File rover-seamsonthehills2-wheelkaputt.png added
KSP 1.2.2.1622 x64 on Win x64.

Even a small seam can cause wheels to rupture at relatively slow speeds. This one (left front wheel) happened while rolling unpowered at around
10m/s over the seam.

#8 - 02/06/2017 04:34 AM - swjr-swis

- File rover-seamsinthemountains1.png added

- File rover-seamsinthemountains1.sfs added

KSP 1.2.2.1622 x64 on Win x64.

One more set, this time in the mountains, on a steep slope, about 45km west of KSC.

A bit puzzled now why you needed help/saves to find them, since it appears obvious that they exist pretty much all over the place in a grid of squares

with sides of roughly 1.1km (grid size estimated by following one seam due west and checking distance to targeted launch gantry left behind at the
runway every time | drove over a seam crossing).

#9 - 02/06/2017 05:54 PM - kigraham1013

- File Terrain_Seams_Around KSC _and_on_Duna.sfs added

Terrain seams around KSC and on Duna with a random Kerbal standing next to them.

#10 - 02/07/2017 01:24 PM - KroShan
- File DunaSeam-NS-EW_Conjunction.sfs added

Seam conjunction on Duna. One Northbound the other Eastbound.

Flag 049 at 5A°41'N; 110A°44'E
Flag 050 at 8A°30'N; 110A°44'E (Conjunction)

swijr-swis yes you are right. Though it seems they are trapezoid. In the N-S distance is 1175m and the (northern) E-W distance is 1102m.

http://imgur.com/TW7tjHf
